---
title: Event.cancelBubble
slug: Web/API/Event/cancelBubble
tags:
  - API
  - DOM
  - Event
  - Property
  - Reference
  - cancelBubble
---
<div>{{APIRef("DOM Events")}}</div>

<p>The <code><strong>cancelBubble</strong></code> property of the {{domxref("Event")}} interface is a historical alias to {{domxref("Event.stopPropagation()")}}. Setting its value to <code>true</code> before returning from an event handler prevents propagation of the event. In later implementations, setting this to <code>false</code> does nothing. See {{anch("Browser compatibility")}} for details.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>event</em>.cancelBubble = <em>bool;</em>
var <em>bool</em> = <em>event</em>.cancelBubble;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("Boolean")}}.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">elem.onclick = function(event) {
  // Do cool things here
  event.cancelBubble = true;
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-event-cancelbubble', 'cancelBubble')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Event.cancelBubble")}}</p>
